WinCrypt.DATA_BLOB (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: DATA_BLOB

Package com.sun.jna.platform.win32

# Class WinCrypt.DATA_BLOB

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.DATA_BLOB

Direct Known Subclasses:
  `WinCrypt.DATA_BLOB.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"cbData","pbData"}) public static class WinCrypt.DATA_BLOB extends Structure
The CryptoAPI CRYPTOAPI_BLOB structure is used for an arbitrary array of bytes.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.DATA_BLOB.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbData`
  The count of bytes in the buffer pointed to by pbData.
  `Pointer`
  `pbData`
  A pointer to a block of data bytes.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DATA_BLOB()`
  `DATA_BLOB(byte[] data)`
  `DATA_BLOB(Pointer memory)`
  `DATA_BLOB(String s)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getData()`
  Get byte data.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbData

    public int cbData
    The count of bytes in the buffer pointed to by pbData.

  - ### pbData

    public Pointer pbData
    A pointer to a block of data bytes.

- ## Constructor Details

  - ### DATA_BLOB

    public DATA_BLOB()

  - ### DATA_BLOB

    public DATA_BLOB(Pointer memory)

  - ### DATA_BLOB

    public DATA_BLOB(byte[] data)

  - ### DATA_BLOB

    public DATA_BLOB(String s)

- ## Method Details

  - ### getData

    public byte[] getData()
    Get byte data.
    Returns:
      Byte data or null.